<app-page-header headerTitle="Role">
  <app-button icon="fa-solid fa-angle-left" text="Back" (onClick)="goToList()">
  </app-button>
</app-page-header>

<form action="" [formGroup]="roleFromData">
  <app-card>
    <div class="row">
      <div class="col-md-4">
        <div class="form-group">
          <label for="name" class="form-label"
            >Role<span class="text-danger">*</span></label
          >
          <input
            type="text"
            class="form-control form-control-sm"
            id="name"
            placeholder="Role"
            formControlName="roleName"
            [ngClass]="{
              'is-invalid': (f.roleName?.touched || submitted) && f.roleName?.errors
            }"
          />
          <div *ngIf="submitted && f.roleName.errors?.required" class="alert-error">
            Role is required
          </div>
        </div>
      </div>

      <div class="col-md-4" *ngIf="Id && !isView">
        <div class="form-group">
          <app-switch formControlName="isActive" label="Status"></app-switch>
        </div>
      </div>

      <div class="col-md-4" *ngIf="isView">
        <div class="form-group">
          <app-switch formControlName="isActive" label="Status"></app-switch>
        </div>
      </div>
    </div>
  </app-card>
  <div class="text-end m-4">
    <app-button
      text="Update"
      (onClick)="onSubmit($event)"
      [loading]="showLoader"
      *ngIf="isEdit"
    >
    </app-button>

    <app-button
      text="Save"
      (onClick)="onSubmit($event)"
      [loading]="showLoader"
      *ngIf="!Id"
    >
    </app-button>
    <app-button text="Cancel" (onClick)="goToList()"> </app-button>
  </div>
</form>
